datablock AudioProfile(NemesisSound) {
   fileName = "./nemesis.wav";
   description = "AudioClosest3d";
   preload = "1";
};
datablock AudioProfile(DominationSound) {
   fileName = "./domination.wav";
   description = "AudioClosest3d";
   preload = "1";
};
if(isPackage(mDomination))
   deactivatepackage(mDomination);
package mDomination
{
	function gameConnection::onDeath(%client, %enemyPlayer, %enemyClient, %dt, %dl)
	{
		parent::onDeath(%client, %enemyPlayer, %enemyClient, %dt, %dl);
		if(%client==%enemyClient)
		   return;
      if(!strLen(%client.name) || !strlen(%enemyClient.name))
         return;
      if(%client.mDominate[%enemyClient]>=4)
      {
         %client.play2d(DominationSound);
         %enemyClient.play2d(DominationSound);
         messageAll('',"\c5"@%enemyClient.name@"\c6 got \c3REVENGE\c6 on \c5"@%client.name);
      }
      if(%enemyClient.mDominate[%client]==3)
      {
         %client.play2d(NemesisSound);
         %enemyClient.play2d(NemesisSound);
         messageAll('',"\c5"@%enemyClient.name@"\c6 is \c3DOMINATING\c6 \c5"@%client.name);
         messageClient(%client,'',"\c5"@%enemyClient.name@"\c6 is your \c3NEMESIS");
      }
      %enemyClient.mDominate[%client]++;
      %client.mDominate[%enemyClient]=0;
	}
};
ActivatePackage(mDomination);